from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XHeaderFooterContent(XInterface, Protocol):
    def getLeftText(self) -> XText: ...
    def getCenterText(self) -> XText: ...
    def getRightText(self) -> XText: ...
